org.apache.catalina.loader

## Class StandardClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.apache.catalina.loader.StandardClassLoader

All Implemented Interfaces:
  Closeable, AutoCloseable, StandardClassLoaderMBean

Deprecated.
Unnecessary. Will be removed in Tomcat 8.0.x.

    @Deprecated
    public class StandardClassLoader
    extends URLClassLoader
    implements StandardClassLoaderMBean

Subclass implementation of java.net.URLClassLoader. There are no functional differences between this class and java.net.URLClassLoader.

Author:
  Craig R. McClanahan, Remy Maucherat

### Constructor Summary

Constructors
Constructor and Description
`StandardClassLoader(URL[] repositories)` Deprecated.
`StandardClassLoader(URL[] repositories, ClassLoader parent)` Deprecated.

### Method Summary

### Methods inherited from class java.net.URLClassLoader

`addURL, close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandardClassLoader

    public StandardClassLoader(URL[] repositories)

Deprecated.

#### StandardClassLoader

    public StandardClassLoader(URL[] repositories,
                       ClassLoader parent)

Deprecated.